module CShoeVariables
    implicit none    
    public
    ! variables
    Type::ShoeType
        integer :: FormationNo
        real(8) :: ShoeDepth
        real(8) :: LeakOff
        real(8) :: Breakdown
        real(8) :: FracturePropagation
        logical :: InactiveFracture
    End type ShoeType
    Type(ShoeType)::Shoe
end module CShoeVariables